path: /build/build/kbackup-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="handbook" emerge kde-apps/kbackup:5 -pv -t && \
    USE="handbook" emerge -j ${JOBS} --nodeps kde-apps/kbackup:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kbackup && luet-portage --dir /pkgdir/kbackup
    kde-apps/kbackup:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: kbackup
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - handbook
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Program that lets you back up any directories or files
    uri:
    - https://apps.kde.org/en/kbackup
    license: GPL-2
    buildtimestamp: 2024-02-16 23:24:59.082771871 +0000 UTC m=+271.416197824
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/karchive-5.98.0:5
        >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
        >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/kservice-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.1:5
        dev-util/desktop-file-utils'
      IUSE: debug +handbook
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/karchive-5.98.0:5
        >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
        >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/kservice-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-apps/kbackup:5
      kit: kde-kit
      original.package.name: kde-apps/kbackup
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kbackup
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eac80a162942af7b926e9feaf24dc1aeaf757bc96f260bbcf76d922742988150
compressiontype: zstd
files:
- usr/bin/kbackup
- usr/share/applications/org.kde.kbackup.desktop
- usr/share/doc/kbackup-23.08.2/AUTHORS
- usr/share/doc/kbackup-23.08.2/ChangeLog.bz2
- usr/share/doc/kbackup-23.08.2/README.bz2
- usr/share/doc/kbackup-23.08.2/TODO.bz2
- usr/share/help/ca/kbackup/index.cache.bz2
- usr/share/help/ca/kbackup/index.docbook
- usr/share/help/ca/kbackup/mainwindow.png
- usr/share/help/de/kbackup/index.cache.bz2
- usr/share/help/de/kbackup/index.docbook
- usr/share/help/en/kbackup/index.cache.bz2
- usr/share/help/en/kbackup/index.docbook
- usr/share/help/en/kbackup/mainwindow.png
- usr/share/help/es/kbackup/index.cache.bz2
- usr/share/help/es/kbackup/index.docbook
- usr/share/help/it/kbackup/index.cache.bz2
- usr/share/help/it/kbackup/index.docbook
- usr/share/help/nl/kbackup/index.cache.bz2
- usr/share/help/nl/kbackup/index.docbook
- usr/share/help/sv/kbackup/index.cache.bz2
- usr/share/help/sv/kbackup/index.docbook
- usr/share/help/uk/kbackup/index.cache.bz2
- usr/share/help/uk/kbackup/index.docbook
- usr/share/help/uk/kbackup/mainwindow.png
- usr/share/icons/hicolor/16x16/apps/kbackup.png
- usr/share/icons/hicolor/16x16/mimetypes/text-x-kbp.png
- usr/share/icons/hicolor/22x22/actions/kbackup_cancel.png
- usr/share/icons/hicolor/22x22/actions/kbackup_runs.png
- usr/share/icons/hicolor/22x22/actions/kbackup_start.png
- usr/share/icons/hicolor/32x32/apps/kbackup.png
- usr/share/icons/hicolor/32x32/mimetypes/text-x-kbp.png
- usr/share/kxmlgui5/kbackup/kbackupui.rc
- usr/share/locale/ar/LC_MESSAGES/kbackup.mo
- usr/share/locale/ca/LC_MESSAGES/kbackup.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kbackup.mo
- usr/share/locale/cs/LC_MESSAGES/kbackup.mo
- usr/share/locale/da/LC_MESSAGES/kbackup.mo
- usr/share/locale/de/LC_MESSAGES/kbackup.mo
- usr/share/locale/el/LC_MESSAGES/kbackup.mo
- usr/share/locale/en_GB/LC_MESSAGES/kbackup.mo
- usr/share/locale/es/LC_MESSAGES/kbackup.mo
- usr/share/locale/et/LC_MESSAGES/kbackup.mo
- usr/share/locale/eu/LC_MESSAGES/kbackup.mo
- usr/share/locale/fi/LC_MESSAGES/kbackup.mo
- usr/share/locale/fr/LC_MESSAGES/kbackup.mo
- usr/share/locale/gl/LC_MESSAGES/kbackup.mo
- usr/share/locale/ia/LC_MESSAGES/kbackup.mo
- usr/share/locale/ie/LC_MESSAGES/kbackup.mo
- usr/share/locale/it/LC_MESSAGES/kbackup.mo
- usr/share/locale/ja/LC_MESSAGES/kbackup.mo
- usr/share/locale/ka/LC_MESSAGES/kbackup.mo
- usr/share/locale/ko/LC_MESSAGES/kbackup.mo
- usr/share/locale/lt/LC_MESSAGES/kbackup.mo
- usr/share/locale/nl/LC_MESSAGES/kbackup.mo
- usr/share/locale/nn/LC_MESSAGES/kbackup.mo
- usr/share/locale/pl/LC_MESSAGES/kbackup.mo
- usr/share/locale/pt/LC_MESSAGES/kbackup.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kbackup.mo
- usr/share/locale/ru/LC_MESSAGES/kbackup.mo
- usr/share/locale/sk/LC_MESSAGES/kbackup.mo
- usr/share/locale/sl/LC_MESSAGES/kbackup.mo
- usr/share/locale/sv/LC_MESSAGES/kbackup.mo
- usr/share/locale/tr/LC_MESSAGES/kbackup.mo
- usr/share/locale/uk/LC_MESSAGES/kbackup.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kbackup.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kbackup.mo
- usr/share/man/ca/man1/kbackup.1.bz2
- usr/share/man/de/man1/kbackup.1.bz2
- usr/share/man/es/man1/kbackup.1.bz2
- usr/share/man/it/man1/kbackup.1.bz2
- usr/share/man/man1/kbackup.1.bz2
- usr/share/man/nl/man1/kbackup.1.bz2
- usr/share/man/sv/man1/kbackup.1.bz2
- usr/share/man/uk/man1/kbackup.1.bz2
- usr/share/metainfo/org.kde.kbackup.appdata.xml
- usr/share/mime/packages/kbackup.xml
- var/db/pkg/kde-apps/kbackup-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kbackup-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kbackup-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kbackup-23.08.2/CBUILD
- var/db/pkg/kde-apps/kbackup-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kbackup-23.08.2/CHOST
- var/db/pkg/kde-apps/kbackup-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kbackup-23.08.2/COUNTER
- var/db/pkg/kde-apps/kbackup-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kbackup-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kbackup-23.08.2/DEPEND
- var/db/pkg/kde-apps/kbackup-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kbackup-23.08.2/EAPI
- var/db/pkg/kde-apps/kbackup-23.08.2/FEATURES
- var/db/pkg/kde-apps/kbackup-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kbackup-23.08.2/INHERITED
- var/db/pkg/kde-apps/kbackup-23.08.2/IUSE
- var/db/pkg/kde-apps/kbackup-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kbackup-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kbackup-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kbackup-23.08.2/LICENSE
- var/db/pkg/kde-apps/kbackup-23.08.2/NEEDED
- var/db/pkg/kde-apps/kbackup-23.08.2/PF
- var/db/pkg/kde-apps/kbackup-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kbackup-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kbackup-23.08.2/SIZE
- var/db/pkg/kde-apps/kbackup-23.08.2/SLOT
- var/db/pkg/kde-apps/kbackup-23.08.2/USE
- var/db/pkg/kde-apps/kbackup-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kbackup-23.08.2/kbackup-23.08.2.ebuild
- var/db/pkg/kde-apps/kbackup-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kbackup
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - handbook
  requires:
  - name: kcompletion
    version: '>=0'
    category: kde-frameworks-5
  - name: kio
    version: '>=0'
    category: kde-frameworks-5
  - name: knotifications
    version: '>=0'
    category: kde-frameworks-5
  - name: kservice
    version: '>=0'
    category: kde-frameworks-5
  - name: kxmlgui
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Program that lets you back up any directories or files
  uri:
  - https://apps.kde.org/en/kbackup
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/karchive-5.98.0:5
      >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kxmlgui-5.98.0:5 dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: debug +handbook
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/karchive-5.98.0:5
      >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-apps/kbackup:5
    kit: kde-kit
    original.package.name: kde-apps/kbackup
    original.package.slot: "5"
    original.package.version: 23.08.2
